org.deidentifier.arx.aggregates

## Class HierarchyBuilderDate.Format

- java.lang.Object
- - org.deidentifier.arx.aggregates.HierarchyBuilderDate.Format

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  HierarchyBuilderDate

    public static class HierarchyBuilderDate.Format
    extends java.lang.Object
    implements java.io.Serializable

A format-class for localization

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Format()` Default format

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `contains(HierarchyBuilderDate.Granularity granularity)` Returns whether a format for the given granularity is set
`java.lang.String` `get(HierarchyBuilderDate.Granularity granularity)` Returns the format for the given granularity
`boolean` `isValid(java.lang.String input, java.lang.String pattern)` Checks whether the input string adheres to the pattern
`void` `set(HierarchyBuilderDate.Granularity granularity, java.lang.String format)` Sets a form

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Format

    public Format()

Default format

### Method Detail

#### contains

    public boolean contains(HierarchyBuilderDate.Granularity granularity)

Returns whether a format for the given granularity is set

Parameters:
  `granularity` -
Returns:

#### get

    public java.lang.String get(HierarchyBuilderDate.Granularity granularity)

Returns the format for the given granularity

Parameters:
  `granularity` -
Returns:

#### isValid

    public boolean isValid(java.lang.String input,
                           java.lang.String pattern)

Checks whether the input string adheres to the pattern

Parameters:
  `input` -
  `pattern` -

#### set

    public void set(HierarchyBuilderDate.Granularity granularity,
                    java.lang.String format)

Sets a form

Parameters:
  `granularity` -
  `format` -